def mdp_fort(mdp):
	if len(mdp) < 12:
		return False
	majuscules = 0
	chiffres = 0
	symboles = 0
	for caractere in mdp :
		if caractere.isupper():
			majuscules += 1
		if caractere.isdigit():
			chiffres += 1
		if caractere in liste_symboles:
			symboles += 1
	if majuscules<2 or chiffres<2 or symboles<2:
		return False
	return True